package com.njcn.event.file.pojo.enums;

import lombok.Getter;

/**
 * @author hongawen
 * @version 1.0.0
 * @date 2021年12月20日 09:56
 */
@Getter
public enum WaveFileResponseEnum {

    /**
     * 暂降模块异常响应码的范围：
     * A00650 ~ A00749
     */
    EVENT_NOT_FOUND("A00651","暂降事件或监测点不存在"),
    ANALYSE_WAVE_NOT_FOUND("A00652","波形文件找不到"),
    WAVE_DATA_INVALID("A00654","波形文件数据缺失"),
    CFG_DATA_ERROR("A00653","CFG文件解析有误"),
    DAT_DATA_ERROR("A00653","DAT文件数据读取失败"),
    RMS_DATA_ERROR("A00653","rms数据读取失败"),
    COMPOSE_PIC_ERROR("A00653","合成波形图失败"),
    ;

    private final String code;

    private final String message;

    WaveFileResponseEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }
}
